Get Billing Information - Cognigy Documentation

Get Billing Information

GET /management/v3.0/billing

Try it

cURL
curl --request GET \
  --url https://api-trial.cognigy.ai/new/management/v3.0/billing \
  --header 'Authorization: Basic <encoded-value>'
Python
import requests

url = "https://api-trial.cognigy.ai/new/management/v3.0/billing"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
JavaScript (Fetch API)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api-trial.cognigy.ai/new/management/v3.0/billing', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
PHP



Possible Responses

Response Format

{
  "items": [
    {
      "organisationId": "<string>",
      "name": "<string>",
      "isDisabled": true,
      "conversations": [
        {
          "conversations": 123,
          "day": 123,
          "month": 123,
          "year": 123,
          "perChannel": [
            {
              "channel": "<string>",
              "conversations": 123
            }
          ]
        }
      ]
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}

Error Response Formats

  1. 400 Bad Request
   {
     "type": "Bad Request",
     "title": "Bad Request Error",
     "status": 400,
     "detail": "Validation failed. Missing payload.",
     "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
     "code": 1000,
     "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
     "details": {}
   }
  1. 401 Unauthorized
   {
     "type": "Unauthorized",
     "title": "Unauthorized Error",
     "status": 401,
     "detail": "<string>",
     "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
     "code": 401,
     "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
     "details": {}
   }
  1. 402 Payment Required
   {
     "type": "Payment Required",
     "title": "Payment Required Error",
     "status": 402,
     "detail": "Validation failed. Missing payload.",
     "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
     "code": 402,
     "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
     "details": {}
   }
  1. 403 Forbidden
   {
     "type": "Forbidden",
     "title": "Forbidden Error",
     "status": 403,
     "detail": "<string>",
     "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
     "code": 1000,
     "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
     "details": {}
   }
  1. 404 Not Found
   {
     "type": "Not Found",
     "title": "Not Found Error",
     "status": 404,
     "detail": "<string>",
     "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
     "code": 1000,
     "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
     "details": {},
     "logLevel": "error"
   }

Headers

Query Parameters